> For the complete documentation index, see [llms.txt](https://docs.exoclick.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exoclick.com/api/pt/api-publica-exoclick/token-de-api-vs-token-bearer.md).

# Token de API vs Token Bearer

Ao trabalhar com a API da ExoClick, irá deparar-se com dois tipos de tokens de autenticação: tokens de API e tokens Bearer. Compreender a diferença entre eles é crucial para uma utilização segura e eficaz da API.

Aqui está a distinção:

## Token de API

* Permanente (até ser desativado ou eliminado)
* Utilizado para autenticar inicialmente a sua conta na API
* Obtém-no nas suas [definições do perfil](/exoclick-docs/my-profile.md)

## Token Bearer

* Temporário, expira após pouco tempo
* Emitido depois de iniciar sessão com o seu token de API
* Utilizado para todos os pedidos subsequentes à API, para evitar enviar o token permanente da API sempre
* Adiciona uma camada de segurança, pois só é válido por tempo limitado

**Em resumo**: o token de API prova **quem é** e o token Bearer é uma chave temporária que lhe permite fazer pedidos em segurança.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exoclick.com/api/pt/api-publica-exoclick/token-de-api-vs-token-bearer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
